/*
 Navicat Premium Data Transfer

 Source Server         : 10.51.10.122_3306
 Source Server Type    : MySQL
 Source Server Version : 80028
 Source Host           : 10.51.10.122:3306
 Source Schema         : camera_rtsp

 Target Server Type    : MySQL
 Target Server Version : 80028
 File Encoding         : 65001

 Date: 21/06/2024 10:23:31
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for algorithm
-- ----------------------------
DROP TABLE IF EXISTS `algorithm`;
CREATE TABLE `algorithm`  (
  `id` int NULL DEFAULT NULL,
  `algorithm` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of algorithm
-- ----------------------------
INSERT INTO `algorithm` VALUES (1, '行人检测');
INSERT INTO `algorithm` VALUES (2, '车辆检测');
INSERT INTO `algorithm` VALUES (3, '火焰检测');
INSERT INTO `algorithm` VALUES (4, '疲劳检测');
INSERT INTO `algorithm` VALUES (5, '烟雾检测');
INSERT INTO `algorithm` VALUES (6, '人脸识别');
INSERT INTO `algorithm` VALUES (7, '表情识别');
INSERT INTO `algorithm` VALUES (8, 'OCR');
INSERT INTO `algorithm` VALUES (9, '实例分割');
INSERT INTO `algorithm` VALUES (10, '车道线检测');
INSERT INTO `algorithm` VALUES (11, 'PCB缺陷检测');
INSERT INTO `algorithm` VALUES (12, '遥感目标检测');
INSERT INTO `algorithm` VALUES (13, '姿态检测');
INSERT INTO `algorithm` VALUES (14, '未佩戴头盔检测');
INSERT INTO `algorithm` VALUES (15, '口罩检测');
INSERT INTO `algorithm` VALUES (16, '电动车检测');
INSERT INTO `algorithm` VALUES (17, '手套检测');
INSERT INTO `algorithm` VALUES (18, '肝脏图像分割');
INSERT INTO `algorithm` VALUES (19, '反光衣检测');
INSERT INTO `algorithm` VALUES (20, '使用手机检测');
INSERT INTO `algorithm` VALUES (21, '语音识别');
INSERT INTO `algorithm` VALUES (22, '红绿灯检测');
INSERT INTO `algorithm` VALUES (23, '安全检测');

-- ----------------------------
-- Table structure for camera
-- ----------------------------
DROP TABLE IF EXISTS `camera`;
CREATE TABLE `camera`  (
  `cameraID` int NOT NULL,
  `cameraRtsp` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  `camearLocation` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL,
  PRIMARY KEY (`cameraID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of camera
-- ----------------------------
INSERT INTO `camera` VALUES (1, 'rtsp://192.168.30.18:8557/h264', '2楼北办公区1');
INSERT INTO `camera` VALUES (2, 'rtsp://192.168.30.11:8557/h264', '1楼大厅电梯玻璃门');
INSERT INTO `camera` VALUES (3, 'rtsp://192.168.30.12:8557/h264', '1楼办公区办公室');
INSERT INTO `camera` VALUES (4, 'rtsp://192.168.30.13:8557/h264', '1楼大厅近强电井侧玻璃门');
INSERT INTO `camera` VALUES (5, 'rtsp://192.168.30.14:8557/h264', '1楼办公区');
INSERT INTO `camera` VALUES (6, 'rtsp://192.168.30.150:8557/h264', '1楼电梯玻璃门');
INSERT INTO `camera` VALUES (7, 'rtsp://192.168.30.16:8557/h264', '1楼大厅朝外');
INSERT INTO `camera` VALUES (8, 'rtsp://192.168.30.17:8557/h264', '1楼大厅朝大厅正门');
INSERT INTO `camera` VALUES (9, 'rtsp://192.168.30.19:8557/h264', '1楼东办公区');
INSERT INTO `camera` VALUES (10, 'rtsp://192.168.30.21:8557/h264', '2楼北办公区2');
INSERT INTO `camera` VALUES (11, 'rtsp://192.168.30.23:8557/h264', '2楼南办公区2');
INSERT INTO `camera` VALUES (12, 'rtsp://192.168.30.24:8557/h264', '2楼休息区');
INSERT INTO `camera` VALUES (13, 'rtsp://192.168.30.22:8557/h264', '2楼南办公区1');

SET FOREIGN_KEY_CHECKS = 1;
